#ifndef _TEST_APP
#define _TEST_APP

#include "ofMain.h"

#define OF_ADDON_USING_OFOPENCV
#define OF_ADDON_USING_OFNETWORK
#define OF_ADDON_USING_OBJLOADER
#define OF_ADDON_USING_OFDIRLIST
#define OF_ADDON_USING_OFXMLSETTINGS
#define OF_ADDON_USING_OFOSC
#define OF_ADDON_USING_OFDIRLIST
#define OF_ADDON_USING_OFTHREAD

#include "ofAddons.h"

class testApp : public ofSimpleApp{
	
	public:
		
		void setup();
		void update();
		void draw();
		
		void keyPressed(int key);
		void keyReleased(int key);
		void mouseMoved(int x, int y );
		void mouseDragged(int x, int y, int button);
		void mousePressed(int x, int y, int button);
		void mouseReleased();

		ofTCPClient tcpClient;
		string msgTx, msgRx;
		
		ofTrueTypeFont  mono;
		ofTrueTypeFont  monosm;
	
		float counter;
		int connectTime;
		int deltaTime;		

		bool weConnected;

		int size;
		int pos;
		bool typed;
};

#endif	

